this.name        = "power_to_engines"; 
this.author      = "Redspear"; 
this.copyright   = "2019 Redspear";
this.licence     = "CC BY-NC-SA 4.0"; 
this.description = "more engine power when weapons off-line"; 
this.version     = "1.2";

"use strict";

// establish speed boost according to ship speed
this.startUpComplete = this.playerBoughtNewShip = this.playerBoughtEquipment = this.equipmentDamaged = this.equipmentRepaired = function ()
{
	// base values
	this._dms = player.ship.maxSpeed;
	this._dsf = player.ship.injectorSpeedFactor;
	// when weapons off-line
	this._nms = _dms * 1.5;	// 150 % speed
	this._nsf = 2 * (_dsf / 3);	// injector speed unaffected
	// compatibility with masslock compensator oxp
	this._mds = _dms * 2; // 200 % speed
	this._mdf = _dsf; // MLC injector speed unaffected
	this._mcs = _dms * 3; // 300 % speed
	this._mcf = _nsf; // MLC injector speed unaffected
}

// check if weapons off-line when launching
this.shipWillLaunchFromStation = function ()
{
	if (player.ship.weaponsOnline === true) {
		player.ship.maxSpeed = _dms;
		player.ship.injectorSpeedFactor = _dsf;
		} else {
			player.ship.awardEquipment ("EQ_POWER_TO_ENGINES");
			player.ship.maxSpeed = _nms;
			player.ship.injectorSpeedFactor = _nsf;
			}
}

// when weapons brought on or off-line, adjust speed accordingly
this.weaponsSystemsToggled = function ()
{
	// weapons on-line and masslock compensators active
	if (player.ship.weaponsOnline === true && player.ship.equipmentStatus("EQ_MASSLOCK_COMPENSATOR") == "EQUIPMENT_OK") {
		player.ship.removeEquipment ("EQ_POWER_TO_ENGINES");
		player.ship.maxSpeed = _mds;
		player.ship.injectorSpeedFactor = _mdf;
		} else {
		// weapons on-line and masslock compensators inactive
		if (player.ship.weaponsOnline === true) {
			player.ship.removeEquipment ("EQ_POWER_TO_ENGINES");
			player.ship.maxSpeed = _dms;
			player.ship.injectorSpeedFactor = _dsf;
			} else {
			// weapons off-line and masslock compensators active
			if (player.ship.weaponsOnline === false && player.ship.equipmentStatus("EQ_MASSLOCK_COMPENSATOR") == "EQUIPMENT_OK") {
				player.ship.awardEquipment ("EQ_POWER_TO_ENGINES");
				player.ship.maxSpeed = _mcs;
				player.ship.injectorSpeedFactor = _mcf;
				} else {
				// weapons off-line and masslock compensators inactive
				if (player.ship.weaponsOnline === false) {
					player.ship.awardEquipment ("EQ_POWER_TO_ENGINES");
					player.ship.maxSpeed = _nms;
					player.ship.injectorSpeedFactor = _nsf;
					}
				}
			}
		}
}

// reset to base speed when docked
this.shipWillDockWithStation = function ()
{
	player.ship.removeEquipment ("EQ_POWER_TO_ENGINES");
	player.ship.maxSpeed = _dms;
	player.ship.injectorSpeedFactor = _dsf;
}
